Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class IntersectionFinderAdder

    java.lang.Object
      com.vividsolutions.jts.noding.IntersectionFinderAdder

All Implemented Interfaces:
  SegmentIntersector

public class IntersectionFinderAdder
extends java.lang.Object
implements SegmentIntersector

Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes.

Version:
  1.7

Constructor Summary
`IntersectionFinderAdder(LineIntersector li)` Creates an intersection finder which finds all proper intersections

Method Summary
`java.util.List` | `getInteriorIntersections()`
`boolean` | `isDone()` Always process all intersections
`void` | `processIntersections(SegmentString e0, int segIndex0, SegmentString e1, int segIndex1)` This method is called by clients of the `SegmentIntersector` class to process intersections for two segments of the `SegmentStrings` being intersected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntersectionFinderAdder

    public IntersectionFinderAdder(LineIntersector li)

  Creates an intersection finder which finds all proper intersections

Parameters:
  `li` - the LineIntersector to use

Method Detail

### getInteriorIntersections

    public java.util.List getInteriorIntersections()

### processIntersections

    public void processIntersections(SegmentString e0,
                                     int segIndex0,
                                     SegmentString e1,
                                     int segIndex1)

  This method is called by clients of the `SegmentIntersector` class to process intersections for two segments of the `SegmentStrings` being intersected. Note that some clients (such as `MonotoneChain`s) may optimize away this call for segment pairs which they have determined do not intersect (e.g. by an disjoint envelope test).

  Specified by:
    `processIntersections` in interface `SegmentIntersector`

### isDone

    public boolean isDone()

  Always process all intersections

  Specified by:
    `isDone` in interface `SegmentIntersector`
  Returns:
    false always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD